Summary: PHP5 bindings to SQLite v2, a file-based SQL engine
Name: php53-sqlite2
Version: 5.3.8
Release: 1.art
License: Public Domain
Group: Development/Languages
URL: http://www.parallels.com/

Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor: Atomic Rocket Turtle, http://www.atomicrocketturtle.com

Source0: sqlite.so.i386
Source1: sqlite.so.x86_64
Source2: sqlite.ini


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.
This package provides access to SQLite v 2.x.x databases from within PHP.


%prep

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} -m 755 %{buildroot}/etc/php.d/

%{__install} -m 0644 %{SOURCE2} %{buildroot}/etc/php.d/sqlite.ini

%ifarch x86_64
%{__mkdir_p} -m 755 %{buildroot}/usr/lib64/php/modules/
%{__install} -m 0755 %{SOURCE1} %{buildroot}/usr/lib64/php/modules/sqlite.so
%else
%{__mkdir_p} -m 755 %{buildroot}/usr/lib/php/modules/
%{__install} -m 0755 %{SOURCE1} %{buildroot}/usr/lib/php/modules/sqlite.so
%endif




%files
%defattr(-, root, root, 0755)
%config(noreplace) %{_sysconfdir}/php.d/sqlite.ini
%{_libdir}/php/modules/sqlite.so

